import './card-proj.css';
import {EditOutlined, SearchOutlined, EyeOutlined, FolderOutlined, SettingOutlined, DownloadOutlined} from '@ant-design/icons';
import {Button, ConfigProvider, Tag} from 'antd';

export default function CardProj() {
    return (
        <div className="card-proj">
            <div className="title">
                <div className="left">
                    <a href="/#">项目名称</a>
                </div>
                <div className="right">
                    <span className="context">上下文：SDFSDF</span>
                    <span className="status">未生成</span>
                    <span className="date">2024-03-02 11:15:35</span>
                </div>
            </div>
            <hr/>
            <div className="body">
                <div className="line">
                    <div className="left">
                        <span>金额￥：500</span>
                    </div>
                    <div className="right">
                        <span>
                            <EditOutlined/>
                            <a href="/#">编辑</a>
                        </span>
                        <span>
                            <SearchOutlined/>
                            <a href="/#">查看</a>
                        </span>
                        <span>
                            <EyeOutlined/>
                            <a href="/#">预览</a>
                        </span>
                    </div>
                </div>
                <div className="line">
                    <div className="left"></div>
                    <div className="right">
                        <span>
                            <FolderOutlined/>
                            <a href="/#">目录</a>
                        </span>
                    </div>
                </div>
            </div>
            <hr/>
            <div className="foot">
                <ConfigProvider theme={{
                    components: {
                        Button: {
                            contentFontSizeSM: 12,
                        }
                    }
                }}>
                    <div className="option">
                        <Button size="small" type="text"><SettingOutlined/> 登录界面设置</Button>
                        <Button size="small" type="text"><SettingOutlined/> 系统菜单管理(0)</Button>
                        <Button size="small" type="text"><SettingOutlined/> 菜单排序(0)</Button>
                    </div>
                    <div className="option">
                        <Button size="small" type="text"><DownloadOutlined/> 申请表</Button>
                        <Button size="small" type="text"><DownloadOutlined/> 操作手册</Button>
                        <Button size="small" type="text"><DownloadOutlined/> 代码压缩包</Button>
                        <Button size="small" type="text"><DownloadOutlined /> 代码文档</Button>
                    </div>
                </ConfigProvider>
            </div>
        </div>
    )
}