import './card-proj-edit.css';
import {IProjEdit} from "../../interfaces/card/ICardProj.ts";

export default function CardProjEdit(props: IProjEdit) {
    return (
        <div className="card-proj-edit">
            <div className="title">{props.title}</div>
            <div className="desc">{props.desc}</div>
            <div className="option">
                <a href="/#" className="edit" onClick={(e) => {
                    e.preventDefault();
                    props.handleEdit();
                }}>编辑</a>
                <span className="status"></span>
            </div>
        </div>
    )
}