export interface IProjEdit {
    title: string;
    desc?: string;

    handleEdit(): void;
}

export interface IProjLoading {
    title: string;
    desc?: string;
}

export interface IProjResult {
    title: string;
    isSuccess: boolean;

    handleFeedback?(): void;
}

export interface IProjDownload {
    title: string;
    desc: string;

    handleDownload(): void;
}

export interface IProjJump {
    title: string;
    desc: string;

    handleJump(): void;
}

export enum AgentMedalEnum {
    GOLD,
    SILVER,
    BRONZE,
    NORMAL
}

export interface IAgent {
    logo?: string;
    name: string;
    medal?: AgentMedalEnum;
    desc: string;
    certificateImg: string;
    selected?: boolean;

    handleSelect(): void;
}