import './card-proj-loading.css';
import {Loading3QuartersOutlined} from '@ant-design/icons';
import {IProjLoading} from "../../interfaces/card/ICardProj.ts";

export default function CardProjLoading(props:IProjLoading) {
    return (
        <div className="card-proj-loading">
            <div className="title">
                <Loading3QuartersOutlined spin={true} style={{color: '#0052d9'}}/>
                <span className="label">{props.title}</span>
            </div>
            <div className="desc">资料正在排队，预计等待600s</div>
        </div>
    )
}