export interface ICardProjBodyLine {
    title: string;
    contents: string[];
}

export interface ICardProjChargeLine {
    title: string;
    price: number;
}

export interface ICardProjBuy {
    label?: string,
    price: number;

    handleClick(title: string, price: number): void;
}

export interface ICardProj {
    head: string;
    bodyLineArray: ICardProjBodyLine[];
    chargeLineArray?: ICardProjChargeLine[];
    buyArray: ICardProjBuy[];
}